/**
 *
 * <p>Titulo: Servidor de respuestas a preguntas</p>
 * <p>Descripcion: Este programa permite mostrar la lista de alternativas para la pregunta.
 * </p>
 * @author Diego Gonzalez Barrientos
 * @version 1.0
 */
//Paquetes requeridos por el programa
import javax.microedition.lcdui.*;
import javax.bluetooth.*;
import java.util.Enumeration;
import java.util.*;
/**Clase que gestiona la lista de alternativas para la pregunta
*/
class AlternativaRemotaUI extends List
{
/**Metodo constructor de la clase
*/
  public AlternativaRemotaUI()
  {
    super("Servicios Bluetooth", List.IMPLICIT);

    addCommand( new Command( "Seleccionar", Command.SCREEN, 1 ) );
    addCommand( new Command( "Volver", Command.SCREEN, 2 ) );
	 addCommand( new Command( "Salir", Command.SCREEN, 2 ) );
    addCommand( AdministradorBluetooth.BACK );

    setCommandListener( AdministradorBluetooth.instance );
  }

  /**
   * uestra un mensaje en pantalla.
   * @param str String
   */
  public void setMsg( String str )
  {
    super.deleteAll();
    append( str, null );

  }
  /**
   * Actualiza la lista con la alternativas de la pregunta
   */
  public void showui()
  {
    super.deleteAll();
    super.setTitle(SPP_Cliente.titulo);  
	 Vector Arreglo = SPP_Cliente.getArreglo();
	 Vector ArregloAlternativa = SPP_Cliente.getArregloAlternativa();
    if (Arreglo.size() > 0)
    {
      for (int i = 0; i < Arreglo.size(); i++)
      {
//        try
//        { 
	     if(ArregloAlternativa == null)
		    append((String)(Arreglo.elementAt(i)), null);
		  else
		      append((String) (new String(Arreglo.elementAt(i) + ". " + ArregloAlternativa.elementAt(i))),null);
//        } catch (Exception e)
//        {
//          e.printStackTrace();
//        }
      }
    } else
    {
      append("[No hay alternativas a la pregunta]", null);
    }
  }

}
